> ## Documentation Index
> Fetch the complete documentation index at: https://docs.permutive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an import



## OpenAPI

````yaml GET /imports/{importId}
openapi: 3.0.3
info:
  title: Taxonomy API
  version: v1
servers:
  - url: https://api.permutive.app/audience-api/v1
security: []
paths:
  /imports/{importId}:
    get:
      tags:
        - v1
      summary: Retrieves an import
      operationId: getImportsImportid
      parameters:
        - name: importId
          in: path
          description: Import ID
          required: true
          schema:
            type: string
            format: uuid
          example: 32f8e031-c532-41bb-b25e-65bdb677a96f
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Import_DataSource'
              example:
                id: ef832310-b808-44f4-86bc-947be1cd37c7
                name: Data Provider Name
                code: data_provider_name
                relation: 3rd
                identifiers:
                  - appnexus
                inheritance:
                  workspace_id: 5de2731c-8dcf-4e12-a815-e58b481bd8ac
                  relation: ancestor
                source:
                  id: f93e5c65-7b2e-4c38-b721-3beb93e4f877
                  state:
                    type: active
                  type: live_ramp_3p
        '400':
          description: 'Invalid value for: path parameter importId'
          content:
            text/plain:
              schema:
                type: string
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpErrorResponse'
components:
  schemas:
    Import_DataSource:
      required:
        - id
        - name
        - code
        - relation
        - identifiers
        - source
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        code:
          type: string
        relation:
          $ref: '#/components/schemas/Relation'
        identifiers:
          $ref: '#/components/schemas/NonEmptyList_Identifier'
        inheritance:
          $ref: '#/components/schemas/Inheritance'
        source:
          $ref: '#/components/schemas/Details_DataSource'
    HttpErrorResponse:
      required:
        - requestId
        - error
      type: object
      properties:
        requestId:
          type: string
          format: uuid
        error:
          $ref: '#/components/schemas/HttpError'
    Relation:
      oneOf:
        - $ref: '#/components/schemas/Second'
        - $ref: '#/components/schemas/Third'
    NonEmptyList_Identifier:
      required:
        - head
      type: object
      properties:
        head:
          type: string
        tail:
          type: array
          items:
            type: string
    Inheritance:
      oneOf:
        - $ref: '#/components/schemas/Ancestor'
    Details_DataSource:
      required:
        - id
        - state
        - details
      type: object
      properties:
        id:
          type: string
          format: uuid
        state:
          $ref: '#/components/schemas/State'
        details:
          $ref: '#/components/schemas/DataSource'
    HttpError:
      oneOf:
        - $ref: '#/components/schemas/AlreadyExists'
        - $ref: '#/components/schemas/AuthorizationFailed'
        - $ref: '#/components/schemas/AuthorizationFailedForAPIKey'
        - $ref: '#/components/schemas/AuthorizationFailedForUser'
        - $ref: '#/components/schemas/AuthorizationMissing'
        - $ref: '#/components/schemas/BadEncoding'
        - $ref: '#/components/schemas/BadOrigin'
        - $ref: '#/components/schemas/DoesNotExist'
        - $ref: '#/components/schemas/InsufficientAPIKey'
        - $ref: '#/components/schemas/InvalidAPIKey'
        - $ref: '#/components/schemas/InvalidHeader'
        - $ref: '#/components/schemas/InvalidParameters'
        - $ref: '#/components/schemas/InvalidRequestBody'
        - $ref: '#/components/schemas/MissingHeader'
        - $ref: '#/components/schemas/MissingOrigin'
        - $ref: '#/components/schemas/MissingParameters'
        - $ref: '#/components/schemas/MissingRequestBody'
        - $ref: '#/components/schemas/RouteDeprecated'
        - $ref: '#/components/schemas/SchemeNotSupported'
        - $ref: '#/components/schemas/UnknownError'
        - $ref: '#/components/schemas/UnspecifiedInternalError'
        - $ref: '#/components/schemas/ValidationError'
        - $ref: '#/components/schemas/VerbNotImplemented'
    Second:
      type: object
    Third:
      type: object
    Ancestor:
      required:
        - workspaceId
      type: object
      properties:
        workspaceId:
          type: string
          format: uuid
    State:
      oneOf:
        - $ref: '#/components/schemas/Active'
        - $ref: '#/components/schemas/Creating'
        - $ref: '#/components/schemas/Error'
        - $ref: '#/components/schemas/Failure'
        - $ref: '#/components/schemas/Updating'
    DataSource:
      oneOf:
        - $ref: '#/components/schemas/Active1'
        - $ref: '#/components/schemas/Bespoke'
        - $ref: '#/components/schemas/Creating1'
        - $ref: '#/components/schemas/LiveRamp3P'
        - $ref: '#/components/schemas/PrincipalError'
        - $ref: '#/components/schemas/RealtimeAPI'
        - $ref: '#/components/schemas/SetupFailure'
        - $ref: '#/components/schemas/Updating1'
        - $ref: '#/components/schemas/V1'
        - $ref: '#/components/schemas/V11'
    AlreadyExists:
      type: object
      properties:
        c:
          type: string
        d:
          $ref: '#/components/schemas/JsonObject'
    AuthorizationFailed:
      type: object
      properties:
        c:
          type: string
        d:
          $ref: '#/components/schemas/JsonObject'
    AuthorizationFailedForAPIKey:
      type: object
      properties:
        c:
          type: string
        d:
          $ref: '#/components/schemas/JsonObject'
    AuthorizationFailedForUser:
      type: object
      properties:
        c:
          type: string
        d:
          $ref: '#/components/schemas/JsonObject'
    AuthorizationMissing:
      type: object
      properties:
        c:
          type: string
        d:
          $ref: '#/components/schemas/JsonObject'
    BadEncoding:
      type: object
      properties:
        c:
          type: string
        d:
          $ref: '#/components/schemas/JsonObject'
    BadOrigin:
      type: object
      properties:
        c:
          type: string
        d:
          $ref: '#/components/schemas/JsonObject'
    DoesNotExist:
      type: object
      properties:
        c:
          type: string
        d:
          $ref: '#/components/schemas/JsonObject'
    InsufficientAPIKey:
      type: object
      properties:
        c:
          type: string
        d:
          $ref: '#/components/schemas/JsonObject'
    InvalidAPIKey:
      type: object
      properties:
        c:
          type: string
        d:
          $ref: '#/components/schemas/JsonObject'
    InvalidHeader:
      type: object
      properties:
        c:
          type: string
        d:
          $ref: '#/components/schemas/JsonObject'
    InvalidParameters:
      type: object
      properties:
        c:
          type: string
        d:
          $ref: '#/components/schemas/JsonObject'
    InvalidRequestBody:
      type: object
      properties:
        c:
          type: string
        d:
          $ref: '#/components/schemas/JsonObject'
    MissingHeader:
      type: object
      properties:
        c:
          type: string
        d:
          $ref: '#/components/schemas/JsonObject'
    MissingOrigin:
      type: object
      properties:
        c:
          type: string
        d:
          $ref: '#/components/schemas/JsonObject'
    MissingParameters:
      type: object
      properties:
        c:
          type: string
        d:
          $ref: '#/components/schemas/JsonObject'
    MissingRequestBody:
      type: object
      properties:
        c:
          type: string
        d:
          $ref: '#/components/schemas/JsonObject'
    RouteDeprecated:
      type: object
      properties:
        c:
          type: string
        d:
          $ref: '#/components/schemas/JsonObject'
    SchemeNotSupported:
      type: object
      properties:
        c:
          type: string
        d:
          $ref: '#/components/schemas/JsonObject'
    UnknownError:
      required:
        - s
        - co
        - m
      type: object
      properties:
        s:
          $ref: '#/components/schemas/HttpStatus'
        co:
          type: integer
          format: int32
        m:
          type: string
        c:
          type: string
        d:
          $ref: '#/components/schemas/JsonObject'
    UnspecifiedInternalError:
      type: object
      properties:
        c:
          type: string
        d:
          $ref: '#/components/schemas/JsonObject'
    ValidationError:
      type: object
      properties:
        c:
          type: string
        d:
          $ref: '#/components/schemas/JsonObject'
    VerbNotImplemented:
      type: object
      properties:
        c:
          type: string
        d:
          $ref: '#/components/schemas/JsonObject'
    Active:
      type: object
    Creating:
      type: object
    Error:
      required:
        - errors
      type: object
      properties:
        errors:
          $ref: '#/components/schemas/NonEmptyList_String'
    Failure:
      type: object
    Updating:
      type: object
    Active1:
      required:
        - bucket
        - permissions
      type: object
      properties:
        bucket:
          type: string
        permissions:
          $ref: '#/components/schemas/Permissions'
    Bespoke:
      type: object
    Creating1:
      required:
        - permissions
      type: object
      properties:
        permissions:
          $ref: '#/components/schemas/Permissions'
    LiveRamp3P:
      type: object
    PrincipalError:
      required:
        - bucket
        - permissions
        - errors
      type: object
      properties:
        bucket:
          type: string
        permissions:
          $ref: '#/components/schemas/Permissions'
        errors:
          $ref: '#/components/schemas/NonEmptyList_String'
    RealtimeAPI:
      type: object
    SetupFailure:
      required:
        - permissions
      type: object
      properties:
        bucket:
          type: string
        permissions:
          $ref: '#/components/schemas/Permissions'
    Updating1:
      required:
        - bucket
        - permissions
      type: object
      properties:
        bucket:
          type: string
        permissions:
          $ref: '#/components/schemas/Permissions'
    V1:
      required:
        - advertiserName
        - organizationId
      type: object
      properties:
        advertiserName:
          type: string
        organizationId:
          type: string
          format: uuid
    V11:
      required:
        - organizationId
      type: object
      properties:
        organizationId:
          type: string
          format: uuid
    JsonObject:
      type: object
    HttpStatus:
      required:
        - code
      type: object
      properties:
        code:
          type: integer
          format: int32
    NonEmptyList_String:
      required:
        - head
      type: object
      properties:
        head:
          type: string
        tail:
          type: array
          items:
            type: string
    Permissions:
      type: object
      properties:
        read:
          type: array
          items:
            $ref: '#/components/schemas/Principal'
        write:
          type: array
          items:
            $ref: '#/components/schemas/Principal'
        sync:
          type: array
          items:
            $ref: '#/components/schemas/Principal'
    Principal:
      oneOf:
        - $ref: '#/components/schemas/Group'
        - $ref: '#/components/schemas/ServiceAccount'
        - $ref: '#/components/schemas/User'
    Group:
      required:
        - id
      type: object
      properties:
        id:
          type: string
    ServiceAccount:
      required:
        - id
      type: object
      properties:
        id:
          type: string
    User:
      required:
        - id
      type: object
      properties:
        id:
          type: string

````